# Function $StateRefDynamicDirective

- $StateRefDynamicDirective(
  $state: any,
  $stateRegistry: any,
  $transitions: any,
  ): Directive

  #### Parameters

  - $state: any
  - $stateRegistry: any
  - $transitions: any

  #### Returns Directive

  - Defined in src/router/directives/state-directives.js:193

##### Index

### Properties

$inject

## Properties

### $inject

$inject: string[]

- Defined in src/router/directives/state-directives.js:181